Loading...
Searching...
No Matches
Visibility.h File Reference
`#include <string.h>`
`#include <Alembic/Util/Export.h>`
`#include <Alembic/AbcGeom/Foundation.h>`
`#include <Alembic/Abc/OSchemaObject.h>`
Include dependency graph for Visibility.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | Alembic
| Alembic namespace ...
namespace | Alembic::AbcGeom
namespace | Alembic::AbcGeom::ALEMBIC_VERSION_NS

## Typedefs

typedef Abc::ICharProperty | Alembic::AbcGeom::ALEMBIC_VERSION_NS::IVisibilityProperty
typedef Abc::OCharProperty | Alembic::AbcGeom::ALEMBIC_VERSION_NS::OVisibilityProperty

## Enumerations

enum | Alembic::AbcGeom::ALEMBIC_VERSION_NS::ObjectVisibility { Alembic::AbcGeom::ALEMBIC_VERSION_NS::kVisibilityDeferred = -1 , Alembic::AbcGeom::ALEMBIC_VERSION_NS::kVisibilityHidden = 0 , Alembic::AbcGeom::ALEMBIC_VERSION_NS::kVisibilityVisible = 1 }
| Values for the visibility property The top-compound object of AbcGeom Schema objects can include an optional visibility property. The value can express. More...

## Functions

ALEMBIC_EXPORT OVisibilityProperty | Alembic::AbcGeom::ALEMBIC_VERSION_NS::CreateVisibilityProperty (OObject &iObject, uint32_t iTimeSamplingID)
ALEMBIC_EXPORT OVisibilityProperty | Alembic::AbcGeom::ALEMBIC_VERSION_NS::CreateVisibilityProperty (OObject &iObject, AbcA::TimeSamplingPtr iTimeSampling)
ALEMBIC_EXPORT IVisibilityProperty | Alembic::AbcGeom::ALEMBIC_VERSION_NS::GetVisibilityProperty (IObject &schemaObject)
ALEMBIC_EXPORT ObjectVisibility | Alembic::AbcGeom::ALEMBIC_VERSION_NS::GetVisibility (IObject &schemaObject, const Abc::ISampleSelector &iSS=Abc::ISampleSelector())
ALEMBIC_EXPORT bool | Alembic::AbcGeom::ALEMBIC_VERSION_NS::IsAncestorInvisible (IObject schemaObject, const Abc::ISampleSelector &iSS=Abc::ISampleSelector())

## Variables

static ALEMBIC_EXPORT_CONST std::string | Alembic::AbcGeom::ALEMBIC_VERSION_NS::kVisibilityPropertyName = "visible"